openSUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0253-1
Rating:             moderate
References:         #1170671 #1180520 
Cross-References:   CVE-2019-8842 CVE-2020-10001
Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for cups fixes the following issues:

   - CVE-2020-10001: Fixed an out-of-bounds read in the ippReadIO function
     (bsc#1180520).
   - CVE-2019-8842: Fixed an out-of-bounds read in an extension field
     (bsc#1170671).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-253=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      cups-2.2.7-lp152.9.3.1
      cups-client-2.2.7-lp152.9.3.1
      cups-client-debuginfo-2.2.7-lp152.9.3.1
      cups-config-2.2.7-lp152.9.3.1
      cups-ddk-2.2.7-lp152.9.3.1
      cups-ddk-debuginfo-2.2.7-lp152.9.3.1
      cups-debuginfo-2.2.7-lp152.9.3.1
      cups-debugsource-2.2.7-lp152.9.3.1
      cups-devel-2.2.7-lp152.9.3.1
      libcups2-2.2.7-lp152.9.3.1
      libcups2-debuginfo-2.2.7-lp152.9.3.1
      libcupscgi1-2.2.7-lp152.9.3.1
      libcupscgi1-debuginfo-2.2.7-lp152.9.3.1
      libcupsimage2-2.2.7-lp152.9.3.1
      libcupsimage2-debuginfo-2.2.7-lp152.9.3.1
      libcupsmime1-2.2.7-lp152.9.3.1
      libcupsmime1-debuginfo-2.2.7-lp152.9.3.1
      libcupsppdc1-2.2.7-lp152.9.3.1
      libcupsppdc1-debuginfo-2.2.7-lp152.9.3.1

   - openSUSE Leap 15.2 (x86_64):

      cups-devel-32bit-2.2.7-lp152.9.3.1
      libcups2-32bit-2.2.7-lp152.9.3.1
      libcups2-32bit-debuginfo-2.2.7-lp152.9.3.1
      libcupscgi1-32bit-2.2.7-lp152.9.3.1
      libcupscgi1-32bit-debuginfo-2.2.7-lp152.9.3.1
      libcupsimage2-32bit-2.2.7-lp152.9.3.1
      libcupsimage2-32bit-debuginfo-2.2.7-lp152.9.3.1
      libcupsmime1-32bit-2.2.7-lp152.9.3.1
      libcupsmime1-32bit-debuginfo-2.2.7-lp152.9.3.1
      libcupsppdc1-32bit-2.2.7-lp152.9.3.1
      libcupsppdc1-32bit-debuginfo-2.2.7-lp152.9.3.1


References:

   https://www.suse.com/security/cve/CVE-2019-8842.html
   https://www.suse.com/security/cve/CVE-2020-10001.html
   https://bugzilla.suse.com/1170671
   https://bugzilla.suse.com/1180520